Need to know the last version that supported autoconf

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Need to know the last version that supported autoconf

Samba - samba-technical mailing list
Hi Team,

I need to build samba with autoconf build system
could you please tell me which was the last version that supported autoconf
build .

Thanks & Regards,
Jawath Muckdhar
--

be inspired ! be happy! be urself!

~ jawath ~
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Need to know the last version that supported autoconf

Samba - samba-technical mailing list
On Thu, 2017-04-13 at 11:10 +0530, Jawath Muckdhar via samba-technical
wrote:
> Hi Team,
>
> I need to build samba with autoconf build system
> could you please tell me which was the last version that supported
> autoconf
> build .

Samba 4.0 was the last version with autoconf.  Samba now builds with
waf, but provides the familiar configure and make wrappers.  

Why do you think you need to build Samba with autoconf?

Thanks,

Andrew Bartlett

--
Andrew Bartlett                       http://samba.org/~abartlet/
Authentication Developer, Samba Team  http://samba.org
Samba Developer, Catalyst IT          http://catalyst.net.nz/services/samba


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Need to know the last version that supported autoconf

Samba - samba-technical mailing list
Hi Team,

can anyone please tell me the last samba version (exact version) which
supports autoconf build system.

whether Samba-4.0.26 version support autoconf build system (without waf) ?

Can we assume that samba 4.0.x versions don't need waf to build samba and
can be built only with autoconf?

Thanks & Regards,
Jawath Muckdhar



On Thu, Apr 13, 2017 at 1:37 PM, Jawath Muckdhar <[hidden email]> wrote:

> Hi Andrew,
>
> The reason why I need to build samba with autoconf,
> I have compiled samba-4.5.5 with waf.
>   But, there were 93 shared libraries required by 'smbd'
>   The size of the shared libraries occupy around 35 MB.
>
>   Now, I cannot use 'waf' build system as it creates executables and
> shared libraries with huge size.  I need to use the 'autoconf' build system
> in order to reduce the size of the executable and the number of shared
> libraries.
>
>   My requirement is that I want a samba server only for "File Sharing"
> with basic authentication using 'smbpasswd' (encrypted). Other features
> like print sharing, AD domain controller, NT4 domain controller, local
> domain master are not needed.
>
>
> Thanks & Regards,
> Jawath Muckdhar
>
>
> On 13-Apr-2017 13:17, "Andrew Bartlett" <[hidden email]> wrote:
>
> On Thu, 2017-04-13 at 11:10 +0530, Jawath Muckdhar via samba-technical
> wrote:
> > Hi Team,
> >
> > I need to build samba with autoconf build system
> > could you please tell me which was the last version that supported
> > autoconf
> > build .
>
> Samba 4.0 was the last version with autoconf.  Samba now builds with
> waf, but provides the familiar configure and make wrappers.
>
> Why do you think you need to build Samba with autoconf?
>
> Thanks,
>
> Andrew Bartlett
>
> --
> Andrew Bartlett                       http://samba.org/~abartlet/
> Authentication Developer, Samba Team  http://samba.org
> Samba Developer, Catalyst IT          http://catalyst.net.nz/service
> s/samba
>
>
>


--

be inspired ! be happy! be urself!

~ jawath ~
Loading...